xine-lib: xine-lib-1.2.12/src/input/libreal/sdpplin.c File Reference

xine-lib 1.2.12

Macros | Functions
sdpplin.c File Reference
`#include "rmff.h"`
`#include "rtsp.h"`
`#include "sdpplin.h"`
`#include <xine/xineutils.h>`
`#include <xine/xine_buffer.h>`

## Macros
#define | LOG_MODULE "sdpplin"
#define | LOG_VERBOSE

## Functions
static char * | nl (char *data)
static int | filter (const char *in, const char *filter, char **out)
static void | sdpplin_free_stream (sdpplin_stream_t **pp)
static sdpplin_stream_t * | sdpplin_parse_stream (char **data)
sdpplin_t * | sdpplin_parse (char *data)
void | sdpplin_free (sdpplin_t *p)

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "sdpplin"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## Function Documentation

## ◆ filter()

static int filter | ( | const char * | in,
|  | const char * | filter,
|  | char ** | out
| ) |  |
| static

References filter(), and xine_buffer_copyin.

Referenced by dvb_set_pidfilter(), dvb_set_sectfilter(), filter(), sdpplin_parse(), and sdpplin_parse_stream().

## ◆ nl()

static char * nl | ( | char * | data | ) |
| static

References NULL.

Referenced by sdpplin_parse(), and sdpplin_parse_stream().

## ◆ sdpplin_free()

void sdpplin_free | ( | sdpplin_t * | p | ) |

References _x_freep(), sdpplin_t::abstract, sdpplin_t::author, sdpplin_t::copyright, sdpplin_free_stream(), sdpplin_t::stream, sdpplin_t::stream_count, and sdpplin_t::title.

Referenced by real_parse_sdp().

## ◆ sdpplin_free_stream()

static void sdpplin_free_stream | ( | sdpplin_stream_t ** | pp | ) |
| static

References _x_freep(), sdpplin_stream_t::asm_rule_book, sdpplin_stream_t::id, sdpplin_stream_t::mime_type, sdpplin_stream_t::mlti_data, and sdpplin_stream_t::stream_name.

Referenced by sdpplin_free(), and sdpplin_parse().

## ◆ sdpplin_parse()

sdpplin_t * sdpplin_parse | ( | char * | data | ) |

References sdpplin_t::abstract, sdpplin_t::author, sdpplin_t::copyright, filter(), sdpplin_t::flags, lprintf, nl(), NULL, sdpplin_free_stream(), sdpplin_parse_stream(), sdpplin_t::stream, sdpplin_t::stream_count, sdpplin_stream_t::stream_id, sdpplin_t::title, UINT16_MAX, xine_base64_decode(), xine_buffer_copyin, xine_buffer_free, and xine_buffer_init().

Referenced by real_parse_sdp().

## ◆ sdpplin_parse_stream()

static sdpplin_stream_t * sdpplin_parse_stream | ( | char ** | data | ) |
| static

References sdpplin_stream_t::asm_rule_book, sdpplin_stream_t::avg_bit_rate, sdpplin_stream_t::avg_packet_size, sdpplin_stream_t::duration, filter(), sdpplin_stream_t::id, lprintf, sdpplin_stream_t::max_bit_rate, sdpplin_stream_t::max_packet_size, sdpplin_stream_t::mime_type, sdpplin_stream_t::mime_type_size, sdpplin_stream_t::mlti_data, sdpplin_stream_t::mlti_data_size, nl(), NULL, sdpplin_stream_t::preroll, sdpplin_stream_t::start_time, sdpplin_stream_t::stream_id, sdpplin_stream_t::stream_name, sdpplin_stream_t::stream_name_size, UINT16_MAX, xine_base64_decode(), xine_buffer_copyin, xine_buffer_free, and xine_buffer_init().

Referenced by sdpplin_parse().